Create a new login option
1 min
POST
https://api.upstartcommerce.com/v1/user/auth/login-options
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
bodyobjectDetails required to create a new login option.
201Successfully created the login option.
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
403<p>An update to this resource requires the if-match and if-unmodified-since headers to be sent in order to process the request.</p>
404The requested resource was not found in the NoChannel system.
409Conflict. The login option with the specified Auth0 connection code already exists.
500Internal server error. The server encountered an unexpected condition that prevented it from fulfilling the request.
curl --request POST \
--url https://api.upstartcommerce.com/v1/user/auth/login-options \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"tenant": "",
"domain": "",
"auth0ConnectionCode": "google-oauth2",
"title": "Google",
"iconCode": "icon-google"
}'